# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/realtek,alc5623.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ALC5621/ALC5623 Audio Codec

maintainers:
  - Mahdi Khosravi <mmk1776@gmail.com>

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    enum:
      - realtek,alc5621
      - realtek,alc5623

  reg:
    maxItems: 1

  add-ctrl:
    description:
      Default register value for Reg-40h, Additional Control Register.
      If absent or zero, the register is left untouched.
    $ref: /schemas/types.yaml#/definitions/uint32

  jack-det-ctrl:
    description:
      Default register value for Reg-5Ah, Jack Detect Control Register.
      If absent or zero, the register is left untouched.
    $ref: /schemas/types.yaml#/definitions/uint32

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        codec@1a {
            compatible = "realtek,alc5623";
            reg = <0x1a>;
            add-ctrl = <0x3700>;
            jack-det-ctrl = <0x4810>;
        };
    };
